Bug 125568 - Selected text in Impress loses highlight when modified
Summary: Selected text in Impress loses highlight when modified
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice Online
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other iOS
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Selection
  Show dependency treegraph
 
Reported: 2019-05-29 05:22 UTC by Nicolas Christener
Modified: 2019-08-30 09:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Printscreen showing the issues (371.54 KB, image/png)
2019-05-29 05:23 UTC, Nicolas Christener
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Christener 2019-05-29 05:22:05 UTC
Description:
Selecting text that spawns over multiple lines (e.g. in a bullet list) is possible with the iOS app, however the text selection is not visibly recognizable. Usually the user sees a "blue marked" selection. This is not the case in a presentation in the iOS app.

Steps to Reproduce:
1. Create/open a presentation with the iOS app
2. Create a slide with a bullet list with e.g. four entries
3. Select text that spawns over 2~3 entries of that list

Actual Results:
The selection should visibly recognizable.

Expected Results:
The selection is not visibly recognizable.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Nicolas Christener 2019-05-29 05:23:49 UTC
Created attachment 151752 [details]
Printscreen showing the issues
Comment 2 Xisco Faulí 2019-05-30 10:42:15 UTC
Moving to NEW as agreed in the ESC meeting
Comment 3 Tor Lillqvist 2019-06-03 13:55:18 UTC
Same problem visible in normal Online (collabora-online-4.0/cp-6.0) at least from Safari on macOS.
Comment 4 Tor Lillqvist 2019-06-03 14:02:57 UTC
In fact for me, in presentation documents, the selection works very badly even on just a single line. When you first double-click to select a word, it shows up correctly, but any attempt to move a selection handle even on the single line results in the highlighting disappearing.
Comment 5 Tor Lillqvist 2019-06-03 14:04:58 UTC
And ditto for normal Online (collabora-online-4.0/cp-6.0).

Nicolas, we plan to move the bugs that are present also in normal online to be for the LibreOffice Online product. We keep track of the bugs you filed against the iOS app elsewhere.
Comment 6 Tor Lillqvist 2019-06-03 14:15:11 UTC
Even if the highlighting of the selected text isn't displayed, the selection is where one would expect from the position of the handles, though, as can be seen by actually doing something to the selection, like making it bold.
Comment 7 Tor Lillqvist 2019-07-29 12:13:35 UTC
FWIW, in normal Online on a desktop browser, if one selects first a word by double-clicking, and then extends the selection over multiple lines by shift-clicking, the highlight does grow correspondingly to match the selection. Hopefully this will make it easier to figure out where the bug is.
Comment 8 Tor Lillqvist 2019-07-30 09:01:20 UTC
Tentative fix in https://gerrit.libreoffice.org/#/c/76588/
Comment 9 Commit Notification 2019-07-30 12:03:07 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/30a75a8d3dcfcca2cf349d9df797ac0b1550eb5e%5E%21

tdf#125568: We need the selection string also when not "in selection mode"

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Tor Lillqvist 2019-08-30 09:58:32 UTC
Marking as resolved.